5

Since this .deb bug is causing a lot of issues, I must resort to install the Opera browser using the terminal. Which is just fine, but I also need to add it to the repository for automatic updates.

Since I am no expert at all, I do not know how to perform the full installation of the browser. How do I go about it?

Thanks!

P.S. Please do not mark this as duplicate, because the other posts dont details how to go about installing Opera with adding it to the repository too for updates. Cheers.

  • Does Opera have a repository? Didn't Opera stop supporting Linux a while ago? – muru Apr 30 '16 at 15:51
  • @muru you can download the 64-bit deb version of the browser from the website. So, I guess it is still going on. However....with this 3rd party .deb issue, I need to install it alternatively. – Elysium Apr 30 '16 at 15:58
  • 1
    The .deb issue is fixed, please sudo apt-get dist-upgrade askubuntu.com/questions/760638/… – Mark Kirby Apr 30 '16 at 15:58
  • 1
    deb.opera.com says that the deb package automatically configures the repository (the way Google Chrome does, I guess). Did you try before asking? – muru Apr 30 '16 at 16:00
  • 2
    It's a repetitive question you can see the answer here : askubuntu.com/questions/169020/… – GreenRoot Apr 30 '16 at 16:08
14

To install opera via PPA on Ubuntu, run these commands

Setup key with:

wget -O - http://deb.opera.com/archive.key | sudo apt-key add -

Setup repository with:

sudo sh -c 'echo "deb http://deb.opera.com/opera-stable/ stable non-free" >> /etc/apt/sources.list.d/opera.list' 

Setup package with:

sudo apt-get update 
sudo apt-get install opera

Source

Alternatively, you can install the .deb via a terminal with

sudo dpkg -i path/to/your/deb

It already contains the PPA, if anyone else reading this is still facing the .deb issue with gnome-software, please report it here, it is supposed to be fixed.

  • Thanks a lot. If you dont mind me asking: what does the setup key? – Elysium Apr 30 '16 at 15:59
  • Please see askubuntu.com/questions/131397/… – Mark Kirby Apr 30 '16 at 16:02
  • Perfect. It makes perfect sense now. Thanks a lot. By the way, the version you get from the manual installation is old. It wont update online. Asks me to download the deb which cant be installed due to the installation bug. So, this wont solve my problem. – Elysium Apr 30 '16 at 16:15
  • The bug is gone, see my comment below your question, you could also install the deb via terminal sudo dpkg -i yourdebhere. – Mark Kirby Apr 30 '16 at 16:16
  • The bug is still there. I cant install from .deb. My installation is fully updated and it still persists.Will installing from the deb using sudo dpkg -i also add it to the repository for future updates? – Elysium Apr 30 '16 at 16:19

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.